<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class FeatureProdutoItem extends Model
{
    use SoftDeletes;

    protected $dates = ['deleted_at'];

    protected $primaryKey = 'id';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'feature_produto_id', 'biblioteca_id', 'description', 'titulo'
    ];

    public function featureProduto()
    {
      return $this->belongsTo('App\BeneficioProduto');
    }

    public function biblioteca()
    {
      return $this->belongsTo('App\Biblioteca');
    }
}


